namespace PkmnLib.Dynamic.Events;

public class DialogEvent : IEventData
{
    /// <inheritdoc />
    public EventBatchId BatchId { get; init; } = new();
    
    public DialogEvent(string message, Dictionary<string, object>? parameters = null)
    {
        Message = message;
        Parameters = parameters;
    }

    public string Message { get; set; }
    
    public Dictionary<string, object>? Parameters { get; set; }
}